Get Application DNS
API server
https://app.coolify.io/api/v1DNS providers and managed DNS records for the domains of an application.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Application UUID.
Response Body
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/applications/string/dns"{ "default_address": "string", "public_addresses": [ "string" ], "hostnames": [ { "hostname": "string", "providers": [ { "integration_token_uuid": "string", "integration_token_name": "string", "zone": "string", "automatic_dns": true, "proxied_dns": true } ], "records": [ { "uuid": "string", "hostname": "string", "type": "A", "address": "string", "owned": true, "integration_token_uuid": "string" } ] } ]}{ "message": "Unauthenticated."}Empty
{ "message": "Resource not found."}